%define major 7
%define libname %mklibname gdata %major
%define develname %mklibname -d gdata

Name:           libgdata
Version:        0.6.6
%define subrel	1
Release:        %mkrel 1
Summary:        Library for the GData protocol

Group:          System/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/libgdata
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch0:		libgdata-validate-ssl-cert.patch

BuildRequires:  libsoup-devel 
BuildRequires:  dbus-glib-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:	autoconf automake libtool
BuildRequires:	gnome-common
BuildRequires:	rootcerts
Requires:	rootcerts

%description
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.

%package i18n
Summary:	Library for the GData protocol - translations
Group:		System/Internationalization

%description i18n
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.

%package -n %{libname}
Summary:	Library for the GData protocol
Group:		System/Libraries
Requires: %name-i18n >= %version

%description -n %{libname}
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.


%package -n %develname
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:	%name-devel = %version-%release

%description -n %develname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .CVE-2012-1177

%build
autoreconf -fi
%configure2_5x \
    --disable-static \
    --with-ca-certs=/etc/pki/tls/certs/ca-bundle.crt

%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang gdata

%clean
rm -rf %{buildroot}

%check
# Only the general test can be run without network access
cd gdata/tests
#gw this also fails in 0.6.4-4mdv :(
#LD_LIBRARY_PATH=../.libs/ ./general

%files i18n -f gdata.lang

%files -n %libname
%doc NEWS README AUTHORS
%{_libdir}/libgdata.so.%{major}*
%_libdir/girepository-1.0/GData-0.0.typelib

%files -n %develname
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/html/gdata/
%_datadir/gir-1.0/GData-0.0.gir


%changelog

* Wed Jul 25 2012 luigiwalser <luigiwalser> 0.6.6-1.1.mga1
+ Revision: 274289
- fix CVE-2012-1177 (from mdv)

* Sun Jan 16 2011 pterjan <pterjan> 0.6.6-1.mga1
+ Revision: 20510
- Drop obsolete scriptlets
- imported package libgdata

